مستندات توسعه دهندگان

Questions people ask about a page, and a suggested FAQ

GET/sites/{siteId}/pages/{pageId}/faq-suggest
Scope
pages:read
ابزار MCP
faq_suggest

Questions people ask about a page, and a suggested FAQ The stored FAQ suggestion (null until it was run once) and the searches it can be run for, best first. Reading never costs anything. Google shows FAQ rich results only for some kinds of sites; the value is matching the questions AI answers use.

توضیح ها از سند OpenAPI می آیند و انگلیسی اند.

پارامترها

ناممحلتوضیح
siteIdاجباریpathstringWebsite id, from GET /sites.
pageIdاجباریpathstringPage id, from GET /pages or GET /pages/findings.

پاسخ

200 · application/json

فیلدتوضیح
pageobject · required
page.idstring · required
page.urladdress (URL) · required
page.titlestring or null · required
keywordChoiceslist of object · required
keywordChoices[].keywordstring · required
keywordChoices[].sourcetracked | keyword | search_console · required; tracked: a tracked keyword that ranks with this page; keyword: a keyword whose Search Console page is this one; search_console: a search the page appears for
keywordChoices[].clicksinteger · required; Search Console clicks, 28 days
keywordChoices[].impressionsinteger · required; Search Console impressions, 28 days
keywordChoices[].positionnumber or null · required; Tracked position, else the 28-day average
keywordChoices[].storedResultsdate (YYYY-MM-DD) or null · required; Day of stored results with People also ask that a run would reuse for free
suggestionobject · required
suggestion.keywordstring
suggestion.locationCodenumber
suggestion.languageCodestring
suggestion.suggestedAtstring
suggestion.resultsobject
suggestion.results.datestring
suggestion.results.sourcestring
suggestion.results.checkUrlstring
suggestion.results.peopleAlsoAsklist of strings
suggestion.results.relatedSearcheslist of strings
suggestion.results.topPagesReadlist of objects
suggestion.results.topPagesRead[].urlstring
suggestion.results.topPagesRead[].domainstring
suggestion.results.topPagesRead[].readtrue or false
suggestion.results.topPagesRead[].questionsnumber
suggestion.pageTextstring
suggestion.questionslist of objects
suggestion.questions[].questionstring
suggestion.questions[].askedBynumber
suggestion.questions[].sourceslist of objects
suggestion.questions[].sources[].sourcestring
suggestion.questions[].sources[].from
suggestion.questions[].wordingslist of strings
suggestion.questions[].answeredstring
suggestion.questions[].answeringSentencestring
suggestion.suggestedFaqlist of objects
suggestion.suggestedFaq[].indexnumber
suggestion.suggestedFaq[].questionstring
suggestion.suggestedFaq[].answerstring
suggestion.suggestedFaq[].fromSentenceslist of strings
suggestion.addSectionlist of objects
suggestion.addSection[].questionstring
suggestion.addSection[].headingstring
suggestion.addSection[].whystring
suggestion.reasonsLanguagestring
suggestion.modelstring
suggestion.resultsCostUsdnumber
linkaddress (URL) · required; The page in the app, at the FAQ card

خطاها

کدمعنی
401Missing, unknown or revoked key. Codes: missing_key, invalid_key.
403The key lacks the scope, covers another website, or its owner lost access. Codes: missing_scope, other_site, owner_left, no_owner, forbidden.
404Not found. Codes: not_found.
429Too many requests this hour for this key. Codes: rate_limited.

نمونه درخواست

curl \
  -H "Authorization: Bearer mr_ws_…" \
  "https://app.monoranks.com/api/v1/sites/SITE_ID/pages/PAGE_ID/faq-suggest"

نمونه پاسخ

{
  "page": {
    "id": "c7a9e1b3-5d7f-4b9c-8e1a-3c5e7a9b1d2f",
    "url": "https://acmebikes.com/guides/trail-bike-sizing/",
    "title": "Trail bike sizing guide | Acme Bikes"
  },
  "keywordChoices": [
    {
      "keyword": "trail bike sizing",
      "source": "tracked",
      "clicks": 41,
      "impressions": 2310,
      "position": 7,
      "storedResults": "2026-10-09"
    }
  ],
  "suggestion": {
    "keyword": "trail bike sizing",
    "locationCode": 2840,
    "languageCode": "en",
    "suggestedAt": "2026-10-09T08:12:51.000Z",
    "results": {
      "date": "2026-10-09",
      "source": "live",
      "checkUrl": "https://www.google.com/search?q=trail%20bike%20sizing&num=10&hl=en&gl=US",
      "peopleAlsoAsk": [
        "How do I know what size trail bike I need?",
        "What size bike for 5'10?",
        "Is it better to size up or down on a mountain bike?"
      ],
      "relatedSearches": [
        "trail bike size chart",
        "mtb sizing calculator"
      ],
      "topPagesRead": [
        {
          "url": "https://ridgecycles.example/sizing",
          "domain": "ridgecycles.example",
          "read": true,
          "questions": 4
        },
        {
          "url": "https://trailhub.example/fit",
          "domain": "trailhub.example",
          "read": false,
          "questions": 0
        }
      ]
    },
    "pageText": "live",
    "questions": [
      {
        "question": "How do I know what size trail bike I need?",
        "askedBy": 3,
        "sources": [
          {
            "source": "paa",
            "from": null
          },
          {
            "source": "top_page",
            "from": "ridgecycles.example"
          },
          {
            "source": "search_console",
            "from": null
          }
        ],
        "wordings": [
          "How do I know what size trail bike I need?",
          "How do I choose my trail bike size?",
          "what size trail bike do i need"
        ],
        "answered": "yes",
        "answeringSentence": "Start from your height: riders from 170 to 180 cm usually fit a size M frame."
      },
      {
        "question": "Is it better to size up or down on a mountain bike?",
        "askedBy": 2,
        "sources": [
          {
            "source": "paa",
            "from": null
          },
          {
            "source": "top_page",
            "from": "ridgecycles.example"
          }
        ],
        "wordings": [
          "Is it better to size up or down on a mountain bike?",
          "Should I size up or down?"
        ],
        "answered": "partly",
        "answeringSentence": "Between two sizes, the smaller frame is easier to handle on tight trails."
      },
      {
        "question": "How much does a trail bike weigh?",
        "askedBy": 1,
        "sources": [
          {
            "source": "answer_gap",
            "from": null
          }
        ],
        "wordings": [
          "How much does a trail bike weigh?"
        ],
        "answered": "no",
        "answeringSentence": null
      }
    ],
    "suggestedFaq": [
      {
        "index": 0,
        "question": "How do I know what size trail bike I need?",
        "answer": "Start from your height: riders from 170 to 180 cm usually fit a size M frame.",
        "fromSentences": [
          "Start from your height: riders from 170 to 180 cm usually fit a size M frame."
        ]
      },
      {
        "index": 1,
        "question": "Is it better to size up or down on a mountain bike?",
        "answer": "Between two sizes, the smaller frame is easier to handle on tight trails.",
        "fromSentences": [
          "Between two sizes, the smaller frame is easier to handle on tight trails."
        ]
      }
    ],
    "addSection": [
      {
        "question": "How much does a trail bike weigh?",
        "heading": "How much our trail bikes weigh",
        "why": "AI answers to this question name other shops, never this one."
      }
    ],
    "reasonsLanguage": "en",
    "model": "claude-sonnet-4-6",
    "resultsCostUsd": 0.002
  },
  "link": "https://app.monoranks.com/sites/3f6c2a1e-8b4d-4c7a-9e21-5d0b7a6f4c13/pages/c7a9e1b3-5d7f-4b9c-8e1a-3c5e7a9b1d2f#faq-suggest"
}

سرور MCP همین کار را با ابزار faq_suggest انجام می دهد.